Bug 170980 - [WinCairo] Fix build break after updating ANGLE
Summary: [WinCairo] Fix build break after updating ANGLE
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords:
Depends on: 170941
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-19 00:30 PDT by Fujii Hironori
Modified: 2017-04-21 15:23 PDT (History)
5 users (show)

See Also:


Attachments
WIP patch (8.80 KB, patch)
2017-04-19 00:32 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (27.48 KB, patch)
2017-04-19 00:53 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (17.12 KB, patch)
2017-04-19 19:59 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (17.09 KB, patch)
2017-04-19 22:54 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2017-04-19 00:30:48 PDT
[WinCairo] Fix build break after updating ANGLE

WinCairo port has been broken by updating ANGLE (Bug 170941).
http://trac.webkit.org/changeset/215490
Comment 1 Fujii Hironori 2017-04-19 00:32:15 PDT
Created attachment 307467 [details]
WIP patch
Comment 2 Fujii Hironori 2017-04-19 00:53:41 PDT
Created attachment 307468 [details]
Patch
Comment 3 Brent Fulgham 2017-04-19 09:49:31 PDT
Comment on attachment 307468 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=307468&action=review

It looks like dino already tried to fix a few of these things. Can you please update your patch to account for those conflicts? Otherwise I think this looks good!

> Source/ThirdParty/ANGLE/src/third_party/murmurhash/LICENSE:2
> +// domain. The author hereby disclaims copyright to this source code.

This is now conflicting with r215499.

> Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.cpp:335
> +

This was landed in r215500.

> Source/ThirdParty/ANGLE/src/third_party/murmurhash/MurmurHash3.h:37
> +#endif // _MURMURHASH3_H_

This conflicts with r215500.
Comment 4 Fujii Hironori 2017-04-19 19:59:52 PDT
Created attachment 307543 [details]
Patch
Comment 5 Fujii Hironori 2017-04-19 22:30:47 PDT
Oops. AppleWin EWS failed:

> LINK : fatal error LNK1181: cannot open input file 'libEGL.lib' [C:\cygwin\home\buildbot\WebKit\WebKitBuild\Release\Source\WebKit\WebKit.vcxproj]
Comment 6 Fujii Hironori 2017-04-19 22:54:37 PDT
Created attachment 307559 [details]
Patch
Comment 7 Brent Fulgham 2017-04-20 12:59:26 PDT
Comment on attachment 307559 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=307559&action=review

I think this looks good, but I'm worried this might break GTK. Can you confirm?

Otherwise r=me.

> Source/ThirdParty/ANGLE/CMakeLists.txt:-45
> -    src/common/system_utils_linux.cpp

Where did this go? Shouldn't it move to PlatformGTK or somewhere, like you did for Mac and Windows?

> Source/WebCore/platform/graphics/PlatformDisplay.cpp:-192
> -#endif

Oh, nice!
Comment 8 Fujii Hironori 2017-04-20 15:04:24 PDT
GTK port uses system ANGLE. So, no PlatformGTK.cmake. And, GTK EWS is green.
Comment 9 Alex Christensen 2017-04-20 15:52:33 PDT
Comment on attachment 307559 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=307559&action=review

>> Source/ThirdParty/ANGLE/CMakeLists.txt:-45
>> -    src/common/system_utils_linux.cpp
> 
> Where did this go? Shouldn't it move to PlatformGTK or somewhere, like you did for Mac and Windows?

GTK port uses WebCore/CMakeLists.txt.  We need to remove this duplication, but they use ANGLE/libEGL/libGLESv2 differently than we do.  This is part of why we need to use the ANGLE renderer on Mac
Comment 10 WebKit Commit Bot 2017-04-20 16:11:56 PDT
Comment on attachment 307559 [details]
Patch

Clearing flags on attachment: 307559

Committed r215585: <http://trac.webkit.org/changeset/215585>
Comment 11 WebKit Commit Bot 2017-04-20 16:11:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Fujii Hironori 2017-04-20 18:37:51 PDT
wincairo-1 BuildBot cann't compile the new ANGLE, while wincairo-2 can.
I'm guessing VisualStudio 2015 Update 5 is needed for it.

> ..\..\Source\ThirdParty\ANGLE\src\libANGLE\renderer\Format_table_autogen.cpp(28): error C2131: expression did not evaluate to a constant
> C:\Users\Alex\Documents\WinCairoBot\win-cairo-release\build\Source\ThirdParty\ANGLE\src\libANGLE/renderer/Format.h(81): note: a non-constant (sub-)expression was encountered
> ..\..\Source\ThirdParty\ANGLE\src\libANGLE\renderer\Format_table_autogen.cpp(153): fatal error C1903: unable to recover from previous error(s); stopping compilation
Comment 13 Alex Christensen 2017-04-21 15:23:58 PDT
As long as I'm updating, I updated my bot to Visual Studio 2017.  Works fine.